xoops forums

Hadesteam

Not too shy to talk
Posted on: 4/14 13:09
Hadesteam
Hadesteam (Show more)
Not too shy to talk
Posts: 164
Since: 2011/9/5 1
#1

Error : mysql extension not loaded - HELP !

Hello,

My xoops version is 2.5.7 After server migration i have this error:

Error : mysql extension not loaded, You can see https://www.kulturystyka.org.pl

Please help me.

Mamba

Moderator
Posted on: 4/14 13:37
Mamba
Mamba (Show more)
Moderator
Posts: 10721
Since: 2004/4/23
#2

Re: Error : mysql extension not loaded - HELP !

What PHP and MySQL version do you have now, and what did you have before?

You probably will have to go lower with your PHP version, or upgrade your XOOPS version to 2.5.9
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

Hadesteam

Not too shy to talk
Posted on: 4/14 13:52
Hadesteam
Hadesteam (Show more)
Not too shy to talk
Posts: 164
Since: 2011/9/5 1
#3

Re: Error : mysql extension not loaded - HELP !

Hi mamba,

Previous: mysql 5.6.32-78.1 php 5.6.30

Now: php 7.3 mysql MySQL 5.5

In direct admin i can change for 5.6 but i have information: outdated :)

Can You provide me how upgrade to 2.5.9 ?

Mamba

Moderator
Posted on: 4/14 14:14
Mamba
Mamba (Show more)
Moderator
Posts: 10721
Since: 2004/4/23
#4

Re: Error : mysql extension not loaded - HELP !

Please follow these instructions:

https://xoops.gitbook.io/xoops-2-5-9-install-upgrade/
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

Hadesteam

Not too shy to talk
Posted on: 4/14 14:49
Hadesteam
Hadesteam (Show more)
Not too shy to talk
Posts: 164
Since: 2011/9/5 1
#5

Re: Error : mysql extension not loaded - HELP !

OK now i have version 2.5.9 but when i am in admin panel, i dont see any blocks when click -> blocks, the same when i click - comments and other in admin panel, but website works !

Thanks mamba for Your help !

Mamba

Moderator
Posted on: 4/14 17:42
Mamba
Mamba (Show more)
Moderator
Posts: 10721
Since: 2004/4/23
#6

Re: Error : mysql extension not loaded - HELP !

Did you run the /upgrade?
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

alain01

Quite a regular
Posted on: 4/15 9:06
alain01
alain01 (Show more)
Quite a regular
Posts: 279
Since: 2003/6/20
#7

Re: Error : mysql extension not loaded - HELP !

Hi,
just an idea,

XOOPS 2.5.9 => PHP 7.1

You used php 7.3, may be try with php 7.1

Mamba

Moderator
Posted on: 4/15 9:22
Mamba
Mamba (Show more)
Moderator
Posts: 10721
Since: 2004/4/23
#8

Re: Error : mysql extension not loaded - HELP !

The easiest way would be for him to upgrade to XOOPS 2.5.10 RC1, as this is most compatible with PHP 7.3

Resized Image
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs